NR_PIVOT_ROOT = "155"
NR_SETNS = "308"
EINVAL = "22"
EPERM = "1"

SYSCALL_PIVOT_ROOT_AVAILABLE = True
SYSCALL_SETNS_AVAILABLE = True

try:
    NR_PIVOT_ROOT = int(NR_PIVOT_ROOT)
except ValueError:
    SYSCALL_PIVOT_ROOT_AVAILABLE = False

try:
    NR_SETNS = int(NR_SETNS)
except ValueError:
    SYSCALL_SETNS_AVAILABLE = False

try:
    EINVAL = int(EINVAL)
except ValueError:
    raise RuntimeError("cannot determine the errno EINVAL value")

try:
    EPERM = int(EPERM)
except ValueError:
    raise RuntimeError("cannot determine the errno EPERM value")

__all__ = ["SYSCALL_PIVOT_ROOT_AVAILABLE", "SYSCALL_SETNS_AVAILABLE",
               "NR_PIVOT_ROOT", "NR_SETNS", "EINVAL", "EPERM"]
